#include "irqhandler.h"

extern uint16_t meanvalue;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}
void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void T16N3_IRQHandler(void)
描  述: T16N3定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T16N3_IRQHandler(void)
{

}
/*********************************************************
函数名: void ADC_IRQHandler(void)
描  述: ADC定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void ADC_IRQHandler(void)
{
    if ((ADC_GetFlagStatus(ADC_IF_ACPOV) == SET) && (ADC_GetITStatus(ADC_IE_ACPOV) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPOV);
        meanvalue = ADC_GetACPMeanValue();
        GPIOA_SetBit(GPIO_Pin_12);
    }

    if ((ADC_GetFlagStatus(ADC_IF_ACPMIN) == SET) && (ADC_GetITStatus(ADC_IE_ACPMIN) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPMIN);
        GPIOA_ResetBit(GPIO_Pin_12);
    }

    if ((ADC_GetFlagStatus(ADC_IF_ACPMAX) == SET) && (ADC_GetITStatus(ADC_IE_ACPMAX) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPMAX);
        GPIOA_ResetBit(GPIO_Pin_12);
    }

    if ((ADC_GetFlagStatus(ADC_IF) == SET) && (ADC_GetITStatus(ADC_IE) == SET))
    {
        ADC_ClearIFStatus(ADC_IF);
    }
}


