/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/4
*描  述:  定时器PWM输出演示主程序
          SCU控制两路T16N同步启动，PB8/PB9/PB2/PB3同步输出周期2ms、占空比20%/40%/60%/80%的中心对齐PWM波形
*备  注:  适用ES8H018x芯片
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    SystemHRCSelect(SCU_HRC_16M);   //HRC选择16MHz
    SystemClockConfig();            //配置时钟
    DeviceClockAllEnable();         //打开所有外设时钟

    T16Nx_Init();

    while (1);
}
