#include "irqhandler.h"

extern uint8_t g_rx_buf;
extern uint8_t g_recv_flag;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1);
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void UART0_IRQHandler(void)
描  述: UART中断服务程序
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void UART0_IRQHandler(void)
{
    if ((UART_GetFlagStatus(UART0, UART_FLAG_RB) != RESET) && (UART_GetITStatus(UART0, UART_IT_RB) != RESET))
    {
        g_rx_buf = UART_RecByte(UART0);

        if (g_rx_buf == 0x55)
            g_recv_flag = 1;
    }
}
