#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}
void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void T16N3_IRQHandler(void)
描  述: T16N3定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T16N3_IRQHandler(void)
{

}
/*********************************************************
函数名: void ADC_IRQHandler(void)
描  述: ADC定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void ADC_IRQHandler(void)
{
    if (ADC_GetFlagStatus(ADC_IF) != RESET && ADC_GetITStatus(ADC_IE) != RESET)
    {
        ADC_ClearIFStatus(ADC_IF);

        while (ADC_GetConvStatus() == SET);

        g_adc_data = 3300 * ADC_GetConvValue() / 4096;  //转换结果转换为mV值（参考电压VDD为3.3V，分辨率12位）
        g_adc_flag = 1;
    }
}


