#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

uint32_t count0 = 0;
uint32_t buf0[50] = {0};
uint32_t count1 = 0;
uint32_t buf1[50] = {0};

uint32_t count = 0;
/*********************************************************
函数名: void T32N0_IRQHandler(void)
描  述: T32N0定时中断函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T32N0_IRQHandler(void)
{
    if (T32Nx_GetFlagStatus(T32N0, TIM_IF_CAP0) != RESET)
    {
        T32Nx_ClearIFPendingBit(T32N0, TIM_IF_CAP0);

        buf0[count0++]  = T32N0->MAT0.Word;
        buf0[count0++]  = T32N0->MAT2.Word;

        if (count0 >= 50)
            count0 = 0;

        count++;

        if ((count % 100) < 50)
        {
            GPIOA_ResetBit(GPIO_Pin_12);
        }
        else
        {
            GPIOA_SetBit(GPIO_Pin_12);
        }
    }

    if (T32Nx_GetFlagStatus(T32N0, TIM_IF_CAP1) != RESET)
    {
        T32Nx_ClearIFPendingBit(T32N0, TIM_IF_CAP1);

        buf1[count1++]  = T32N0->MAT1.Word;
        buf1[count1++]  = T32N0->MAT3.Word;

        if (count1 >= 50)
            count1 = 0;

        count++;

        if ((count % 100) < 50)
        {
            GPIOA_ResetBit(GPIO_Pin_12);
        }
        else
        {
            GPIOA_SetBit(GPIO_Pin_12);
        }
    }
}
